#include "avr/io.h"

.org 0
.section .vectors
vectors:
    rjmp   reset	                    ; Reset Handler
    rjmp   vectors                      ; IRQ0 Handler
    rjmp   vectors                      ; PCINT0 Handler
    rjmp   vectors                      ; Timer0 Overflow Handler
    rjmp   vectors                      ; EEPROM Ready Handler
    rjmp   vectors                      ; Analog Comparator Handler
    rjmp   TIM0_COMPA_vect              ; Timer0 CompareA Handler
    rjmp   vectors                      ; Timer0 CompareB Handler
    rjmp   vectors                      ; Watchdog Interrupt Handler
    rjmp   vectors                      ; ADC Conversion Handler

; Reset Handler
reset:
    eor     r16,r16                     ; r=0;
    out     _SFR_IO_ADDR(SREG),r16      ; clean Status Register
    ldi     r16, RAMEND                 ; r16=0x9f
    out     _SFR_IO_ADDR(SPL),r16       ; Set Stack Pointer to top of RAM
	rjmp	lets

; Timer0 CompareA Handler
.global TIM0_COMPA_vect
TIM0_COMPA_vect:
	nop
	reti

.section .start0
lets:

.section .start1
lets_go:
	rjmp main
