#include <avr/io.h>
#include "main.h"

#define LED	(1<<PB0)

int main(void) {
    // GPIO setup
    DDRB |= (LED);
    // Timer0 setup
    TCCR0A=(1<<WGM01);  // CTC mode
    OCR0A=150;          // freq 1kHz
    // power mode
    MCUCR |= (1<<SE); // idle
    // let's go
    asm("sei");
	for (;;){
		PORTB ^=(LED);
		wait_ms(1000);
	}
 	return 0;
}
