#include <avr/io.h>

.global wait_ms
wait_ms:
	eor		r3,r3
	ldi		r18, (1<<CS02)|(1<<CS00);
	out		_SFR_IO_ADDR(TCCR0B),r18	; TCCR0B=(1<<CS00)|(1<<CS02),prescaler =1024
	ldi		r18, (1<<OCIE0A)
	out		_SFR_IO_ADDR(TIMSK0),r18	; TIMSK0=(1<<OCIE0A), enable interrupt
loop_wait_ms:
	and		r3,r3
	breq 	loop_wait_ms
	eor		r18,r18						; r18=0
	out		_SFR_IO_ADDR(TIMSK0),r18	; TIMSK0=0
	out		_SFR_IO_ADDR(TCCR0B),r18	; TCCR0B=0
	ret
